Index: tests/Python/ReturnValueActions/testsuite-python-returnvalueactions.at
===================================================================
--- tests/Python/ReturnValueActions/testsuite-python-returnvalueactions.at	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ tests/Python/ReturnValueActions/testsuite-python-returnvalueactions.at	(revision cc6e5c6fa2abf74b6087c374278e2a20dc23706e)
@@ -40,5 +40,5 @@
 import sys
 import pyMoleCuilder
-volume=pyMoleCuilder.AnalysisCalculateCellVolume()
+volume=pyMoleCuilder.getDomainVolume()
 if volume == 8000.0:
   sys.exit(0)
Index: tests/regression/Analysis/CalculateBoundingBox/testsuite-analysis-calculate-bounding-box.at
===================================================================
--- tests/regression/Analysis/CalculateBoundingBox/testsuite-analysis-calculate-bounding-box.at	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### calculate bounding box
-
-AT_SETUP([Analysis - Calculate bounding box])
-AT_KEYWORDS([analysis reaction calculate-bounding-box])
-
-# default domain
-AT_CHECK([../../molecuilder --calculate-bounding-box], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "bounding box is .*0; 20; 0; 20; 0; 20" stdout], 0, [ignore], [ignore])
-
-# specific box
-AT_CHECK([../../molecuilder -B "10,0,12,0,0,14" --calculate-bounding-box], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "bounding box is .*0; 10; 0; 12; 0; 14" stdout], 0, [ignore], [ignore])
-
-# special domain
-AT_CHECK([../../molecuilder -B "10,2,10,4,6,10" --calculate-bounding-box], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "bounding box is .*0; 7.660.*; 0; 5.421.*; 0; 4.755.*;" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Analysis/CalculateCellVolume/testsuite-analysis-calculate-cell-volume.at
===================================================================
--- tests/regression/Analysis/CalculateCellVolume/testsuite-analysis-calculate-cell-volume.at	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ 	(revision )
@@ -1,31 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### calculate cell volume
-
-AT_SETUP([Analysis - Calculate Cell Volume])
-AT_KEYWORDS([analysis reaction calculate-cell-volume])
-
-AT_CHECK([../../molecuilder --calculate-cell-volume], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "volume is 8000" stdout], 0, [ignore], [ignore])
-
-AT_CHECK([../../molecuilder -B "10,0,10,0,0,10" --calculate-cell-volume], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "volume is 1000" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Analysis/CalculateMolarMass/pre/argon.xyz
===================================================================
--- tests/regression/Analysis/CalculateMolarMass/pre/argon.xyz	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ 	(revision )
@@ -1,4 +1,0 @@
-1
-	# test file for create-molar-mass
-Ar	0.	0.	0.
-
Index: tests/regression/Analysis/CalculateMolarMass/pre/water.xyz
===================================================================
--- tests/regression/Analysis/CalculateMolarMass/pre/water.xyz	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ 	(revision )
@@ -1,5 +1,0 @@
-3
-	Created by molecuilder on Thu Dec 30 10:10:30 2010
-O	0	0	0
-H	0.758602	0	0.504284
-H	0.758602	0	-0.504284
Index: tests/regression/Analysis/CalculateMolarMass/testsuite-analysis-calculate-molar-mass.at
===================================================================
--- tests/regression/Analysis/CalculateMolarMass/testsuite-analysis-calculate-molar-mass.at	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### calculate molar mass
-
-AT_SETUP([Analysis - Calculate molar mass])
-AT_KEYWORDS([analysis reaction calculate-molar-mass])
-
-# empty domain
-AT_CHECK([../../molecuilder --calculate-molar-mass], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "mass.* is 0 " stdout], 0, [ignore], [ignore])
-
-# nothing selection
-AT_CHECK([../../molecuilder -l ${abs_top_srcdir}/tests/regression/Analysis/CalculateMolarMass/pre/argon.xyz --calculate-molar-mass], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "mass.*is 0 " stdout], 0, [ignore], [ignore])
-
-# all selected
-AT_CHECK([../../molecuilder -l ${abs_top_srcdir}/tests/regression/Analysis/CalculateMolarMass/pre/argon.xyz --select-all-atoms --calculate-molar-mass], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "mass.*is 39.94" stdout], 0, [ignore], [ignore])
-
-# only hydrogen selected
-AT_CHECK([../../molecuilder -l ${abs_top_srcdir}/tests/regression/Analysis/CalculateMolarMass/pre/water.xyz --select-atom-by-element  1 --calculate-molar-mass], 0, [stdout], [stderr])
-AT_CHECK([egrep "RESULT" stdout], 0, [ignore], [ignore])
-AT_CHECK([egrep "mass.*is 2.016" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Analysis/testsuite-analysis.at
===================================================================
--- tests/regression/Analysis/testsuite-analysis.at	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ tests/regression/Analysis/testsuite-analysis.at	(revision cc6e5c6fa2abf74b6087c374278e2a20dc23706e)
@@ -44,11 +44,2 @@
 # dipole correlation - discrete angles
 m4_include(Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at)
-
-# calculates cell volume
-m4_include([Analysis/CalculateCellVolume/testsuite-analysis-calculate-cell-volume.at])
-
-# calculates molar mass
-m4_include([Analysis/CalculateMolarMass/testsuite-analysis-calculate-molar-mass.at])
-
-# calculates bounding box
-m4_include([Analysis/CalculateBoundingBox/testsuite-analysis-calculate-bounding-box.at])
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 0d416866348175de64612b7f88582c36f2167054)
+++ tests/regression/Makefile.am	(revision cc6e5c6fa2abf74b6087c374278e2a20dc23706e)
@@ -42,7 +42,4 @@
 	$(srcdir)/Bond/Remove/testsuite-bond-remove.at \
 	$(srcdir)/Analysis/testsuite-analysis.at \
-	$(srcdir)/Analysis/CalculateBoundingBox/testsuite-analysis-calculate-bounding-box.at \
-	$(srcdir)/Analysis/CalculateCellVolume/testsuite-analysis-calculate-cell-volume.at \
-	$(srcdir)/Analysis/CalculateMolarMass/testsuite-analysis-calculate-molar-mass.at \
 	$(srcdir)/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at \
 	$(srcdir)/Analysis/DipoleAngularCorrelation-PeriodicBoundaries/testsuite-analysis-dipole-angular-correlation-periodic-boundaries.at \
